Loading...
Searching...
No Matches
form_lazy_invert_rep< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::form_lazy_invert_rep< Expr >

Definition at line 292 of file form_lazy_expr.h.

## Public Types

using | size_type = geo_element::size_type
using | memory_type = typename Expr::memory_type
using | scalar_type = typename Expr::scalar_type
using | space_type = typename Expr::space_type
using | geo_type = typename Expr::geo_type
using | float_type = typename float_traits<scalar_type>::type
using | band_type = band_basic<float_type,memory_type>
using | matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

## Public Member Functions

| form_lazy_invert_rep (const Expr &expr)
const geo_type & | get_geo () const
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
bool | is_diagonal () const
void | evaluate (const geo_type &omega_K, const geo_element &K, matrix_element_type &ak) const

## Protected Attributes

Expr | _expr
geo_type | _prev_omega_K
size_type | _prev_K_dis_ie
matrix_element_type | _prev_ak

## Member Typedef Documentation

## size_type

template<class Expr>

using size_type = geo_element::size_type

Definition at line 296 of file form_lazy_expr.h.

## memory_type

template<class Expr>

using memory_type = typename Expr::memory_type

Definition at line 297 of file form_lazy_expr.h.

## scalar_type

template<class Expr>

using scalar_type = typename Expr::scalar_type

Definition at line 298 of file form_lazy_expr.h.

## space_type

template<class Expr>

using space_type = typename Expr::space_type

Definition at line 299 of file form_lazy_expr.h.

## geo_type

template<class Expr>

using geo_type = typename Expr::geo_type

Definition at line 300 of file form_lazy_expr.h.

## float_type

template<class Expr>

using float_type = typename float_traits<scalar_type>::type

Definition at line 301 of file form_lazy_expr.h.

## band_type

template<class Expr>

using band_type = band_basic<float_type,memory_type>

Definition at line 302 of file form_lazy_expr.h.

## matrix_element_type

template<class Expr>

using matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

Definition at line 303 of file form_lazy_expr.h.

## Constructor & Destructor Documentation

## form_lazy_invert_rep()

template<class Expr>

form_lazy_invert_rep | ( | const Expr & | expr | ) |

Definition at line 307 of file form_lazy_expr.h.

## Member Function Documentation

## get_geo()

template<class Expr>

const geo_type & get_geo | ( |  | ) | const

Definition at line 316 of file form_lazy_expr.h.

## get_trial_space()

template<class Expr>

const space_type & get_trial_space | ( |  | ) | const

Definition at line 317 of file form_lazy_expr.h.

## get_test_space()

template<class Expr>

const space_type & get_test_space | ( |  | ) | const

Definition at line 318 of file form_lazy_expr.h.

## is_on_band()

template<class Expr>

bool is_on_band | ( |  | ) | const

Definition at line 319 of file form_lazy_expr.h.

## get_band()

template<class Expr>

band_type get_band | ( |  | ) | const

Definition at line 320 of file form_lazy_expr.h.

## initialize()

template<class Expr>

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 339 of file form_lazy_expr.h.

## is_diagonal()

template<class Expr>

bool is_diagonal | ( |  | ) | const

Definition at line 323 of file form_lazy_expr.h.

## evaluate()

template<class Expr>

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | matrix_element_type & | ak ) const

Definition at line 355 of file form_lazy_expr.h.

## Member Data Documentation

## _expr

template<class Expr>

Expr _expr

mutable protected

Definition at line 331 of file form_lazy_expr.h.

## _prev_omega_K

template<class Expr>

geo_type _prev_omega_K

mutable protected

Definition at line 332 of file form_lazy_expr.h.

## _prev_K_dis_ie

template<class Expr>

size_type _prev_K_dis_ie

mutable protected

Definition at line 333 of file form_lazy_expr.h.

## _prev_ak

template<class Expr>

matrix_element_type _prev_ak

mutable protected

Definition at line 334 of file form_lazy_expr.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/form_lazy_expr.h